Subject: bug#58509: 29.0.50; Synchronous nativecomp

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Oct 2022 14:43:42 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 23 Oct 2022 10:51:14 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Okay so IIUC your suggestion would be to: when we identify '--batch' we
> >> search for a signature in the commandline to identify the trampoline
> >> compilation and set in case `comp-no-spawn'?
> >
> > Yes.  And if that works, my next question is: can we then remove the
> > new -no-comp-spawn command-line option, or do we need it for some
> > other cases?
> 
> If it works I think it should be equivalent at that point.  But at the
> moment is not so trivial to identify this condition as we have no clear
> marker of it.
> 
> The current invocation for compilations is just like:
> 
> emacs --batch -l sometmpfile.el
> 
> I don't know if we have some other option for adding a marker other than
> the most obvious (the dedicated flag).

At some point during compilation, we surely know that we are compiling
a trampoline, right?  So I thought to avoid forking at that point, so
that we don't need yet another command-line option for internal
purposes.

But if this is too complicated and cumbersome, I'm okay with a
command-line switch.

Thanks.